diff --git a/libglusterfs/src/dict.c b/libglusterfs/src/dict.c
index 7dd9e8c2669..3d35a5de196 100644
--- a/libglusterfs/src/dict.c
+++ b/libglusterfs/src/dict.c
@@ -2955,25 +2955,6 @@ dict_serialized_length(dict_t *this)
  *          failure: -errno
  */
 
-int
-dict_serialize(dict_t *this, char *buf)
-{
-    int ret = -1;
-
-    if (!this || !buf) {
-        gf_msg_callingfn("dict", GF_LOG_WARNING, EINVAL, LG_MSG_INVALID_ARG,
-                         "dict is null!");
-        goto out;
-    }
-
-    LOCK(&this->lock);
-    {
-        ret = dict_serialize_lk(this, buf);
-    }
-    UNLOCK(&this->lock);
-out:
-    return ret;
-}
 
 /**
  * dict_unserialize - unserialize a buffer into a dict
diff --git a/libglusterfs/src/glusterfs/dict.h b/libglusterfs/src/glusterfs/dict.h
index 0421d2a6ae6..63efa6465f0 100644
--- a/libglusterfs/src/glusterfs/dict.h
+++ b/libglusterfs/src/glusterfs/dict.h
@@ -153,8 +153,6 @@ dict_key_count(dict_t *this);
 int32_t
 dict_serialized_length(dict_t *dict);
 int32_t
-dict_serialize(dict_t *dict, char *buf);
-int32_t
 dict_unserialize(char *buf, int32_t size, dict_t **fill);
 
 int32_t
